xibo & php 5.3

Problems with the Windows version of XAMPP, questions, comments, and anything related.

xibo & php 5.3

Postby AaronPB » 06. April 2010 21:18

My XAMPP was recently updated to include a new PHP version 5.3

I was just informed that php 5.3 causes the problems I am experiencing with Xibo and need to put PHP 5.2.9 back onto my server.

Can someone please explain :

1 - how to make absolutely sure of the version of PHP I currently have
2 - how to go from PHP 5.3 to PHP 5.2.9 safely.

Thank you.
AaronPB
 
Posts: 1
Joined: 06. April 2010 21:13

Re: xibo & php 5.3

Postby Altrea » 06. April 2010 21:32

AaronPB wrote:1 - how to make absolutely sure of the version of PHP I currently have

phpinfo()

AaronPB wrote:2 - how to go from PHP 5.3 to PHP 5.2.9 safely.

How did your xampp get updated? There is no upgrade script from v1.7.1 (last with PHP 5.2.9) to v1.7.2 (first with PHP 5.3.0)

A safe way is to:
- make backups of all your data (databases, scripts, config-files, the whole xampp folder). It's better to be safe than sorry!
- uninstall the current xampp
- install the xampp you wish (e.g.: xampp 1.7.1 with php 5.2.9)
- import your scripts to the right place
- import your databases (be careful with downgrades of mysql versions! just copy the data folder can be enough, but this is not the safe way. better to import the data with a tool which can handle both mysql-versions)

to be safe, first try this on a test system
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8293
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 82 guests